---
title: "Get contact"
url: https://docs.gleap.ai/en/reference/rest-api/get-s2s-contacts-userid
method: GET
path: "/s2s/contacts/{userId}"
api: "API Reference"
tag: "S2S Contacts"
operationId: "Get"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Get contact

`GET https://api.gleap.io/v3/s2s/contacts/{userId}`

Fetch a contact including its unread conversation count.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Path parameters

- `userId` (string, required)

## Example request

```bash
curl --request GET \
  --url 'https://api.gleap.io/v3/s2s/contacts/{userId}' \
  --header 'Authorization: Bearer <token>'
```

## Responses

### 200 (`application/json`)

Ok

- `userId` (string, required)
- `name` (string)
- `email` (string)
- `phone` (string)
- `language` (string)
- `companyId` (string)
- `companyName` (string)
- `plan` (string)
- `value` (number<double>)
- `customData` (object): Construct a type with a set of properties K of type T
- `unread` (number<double>)
- `createdAt` (string<date-time>)
- `lastActivityAt` (string<date-time>)

```json
{
  "userId": "string",
  "name": "string",
  "email": "string",
  "phone": "string",
  "language": "string",
  "companyId": "string",
  "companyName": "string",
  "plan": "string",
  "value": 0,
  "customData": {},
  "unread": 0,
  "createdAt": "2026-01-01T12:00:00Z",
  "lastActivityAt": "2026-01-01T12:00:00Z"
}
```
